NewWacht Bench is live — AI-assisted development for Wacht

Remove Password

POST
/me/remove-password

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

current_password*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/me/remove-password" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'current_password=string'
{
  "status": 0,
  "message": "string",
  "data": "string",
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}